/*
 * Plugin for ASPSpellCheck for use with CKEditor by Bob Tate
 *
 * This plugin would not be possible without the support of the following
 * applications.
 *
 * CKeditor - http://www.ckeditor.com
 * ASPSpellCheck - http://www.aspspellcheck.com
 *
 */

CKEDITOR.plugins.add('ASPSpellCheck',
{
    init: function(editor)
    {
        var pluginName = 'ASPSpellCheck';
        editor.addCommand(pluginName,
	{
            exec : function ( editor )
            {
                var URL = "/ASPSpellCheck/ASPSpellCheck.asp?fields=";
                var IE = /*@cc_on!@*/false;
                if (IE)
                {
                   URL = URL + "iframe:3";
                }
                else
                {
                   URL = URL + "iframe:0";
                }
                open(URL,'CK_SpellWin','width=480,height=290,scrollbars=no')                
            }
	}

 );
        editor.ui.addButton('ASPSpellCheck',
        {
            label: 'Spell Check',
            icon: this.path + 'aspspellcheck.gif', 
            command: pluginName
        });
    }
});